ELVIS II+ Oscilloscope Not Working

Updated Sep 27, 2019

Reported In

Hardware

  • NI ELVIS II+

Driver

  • NI-DAQmx 19.0
  • NI-DAQmx 19.1

Issue Details

I have an ELVIS II+ board. I have updated to DAQmx 19.0 or 19.1 and my oscilloscopes no longer work. 
When testing in NI MAX, the test panel gives the following error message:
Error -200077 occurred at Test Panel

Possible Reason(s):
Requested value is not a supported value for this property.
The property value may be invalid because it conflicts with another property.

Property: SampTimingType
Requested Value: Continuous Samples
Possible Values: Finite Samples

Solution

The DAQmx 19.0 and 19.1 drivers are not compatible with the ELVIS II+ oscilloscope inputs.
To solve this, download DAQmx 19.5 from the download page.

Additional Information

The ELVIS boards use the DAQmx drivers to communicate.
A bug was introduced in the 19.0 and 19.1 versions of this driver that has been fixed in later versions.